<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>globus_gram_resource_manager_contact</name>
    <title>Resource Manager Contact</title>
    <filename>globus_gram_resource_manager_contact</filename>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_callback</name>
    <title>Job state callbacks</title>
    <filename>group__globus__gram__client__callback.html</filename>
    <class kind="struct">globus_gram_client_job_info_s</class>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_callback_func_t</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>gaf5dcd614490f0ee7c988340e32370045</anchor>
      <arglist>)(void *user_callback_arg, char *job_contact, int state, int errorcode)</arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_gram_client_job_info_s</type>
      <name>globus_gram_client_job_info_t</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>ga0db31ad82a8adcce58d6dcdec15385a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_info_callback_func_t</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>ga960f6dfae5211e5e9786ed5f39bbae63</anchor>
      <arglist>)(void *user_callback_arg, const char *job_contact, globus_gram_client_job_info_t *job_info)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_nonblocking_func_t</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>gaa8f302b803cc48318f333bb59f7c2daa</anchor>
      <arglist>)(void *user_callback_arg, globus_gram_protocol_error_t operation_failure_code, const char *job_contact, globus_gram_protocol_job_state_t job_state, globus_gram_protocol_error_t job_failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_callback_allow</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>gad3640c374ae41f8938b48ee568b701ac</anchor>
      <arglist>(globus_gram_client_callback_func_t callback_func, void *user_callback_arg, char **callback_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_info_callback_allow</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>gab6455d6acd7731e4c3e18baefe50d802</anchor>
      <arglist>(globus_gram_client_info_callback_func_t callback_func, void *user_callback_arg, char **callback_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_callback_disallow</name>
      <anchorfile>group__globus__gram__client__callback.html</anchorfile>
      <anchor>gad044020b703ac837795f19ca7fd11cc8</anchor>
      <arglist>(char *callback_contact)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_job_functions</name>
    <title>GRAM Job Functions</title>
    <filename>group__globus__gram__client__job__functions.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_ping</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gaa883405ddafc564a1bcd0aeb654df506</anchor>
      <arglist>(const char *resource_manager_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_ping</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga034c36971a1afcb6fa6adcb73916a036</anchor>
      <arglist>(const char *resource_manager_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_get_jobmanager_version</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga4861d3cb69370b51eb74e13ec14b6439</anchor>
      <arglist>(const char *resource_manager_contact, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_get_jobmanager_version</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga32f44d827381009d4f3c8692d14dcab7</anchor>
      <arglist>(const char *resource_manager_contact, globus_gram_client_attr_t attr, globus_gram_client_info_callback_func_t info_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_request</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gac67ffcb833bb39a7df704bb7105c0834</anchor>
      <arglist>(const char *resource_manager_contact, const char *description, int job_state_mask, const char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_request</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gaa314342a1c6627039c269bc4574ad371</anchor>
      <arglist>(const char *resource_manager_contact, const char *description, int job_state_mask, const char *callback_contact, char **job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_request_with_info</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gad57dfb7787e8a6d691a2772e1845315c</anchor>
      <arglist>(const char *resource_manager_contact, const char *description, int job_state_mask, const char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_info_callback_func_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_request_with_info</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga85bc82c2c2f78ff80c5638a2bc3cbff6</anchor>
      <arglist>(const char *resource_manager_contact, const char *description, int job_state_mask, const char *callback_contact, char **job_contact, globus_gram_client_job_info_t *info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_cancel</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga7f45e141e1c09053f0c4990f52deb533</anchor>
      <arglist>(const char *job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_cancel</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga20303663e18baf3721797485ae74af1d</anchor>
      <arglist>(const char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_signal</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gab3b9aabe847525f8e75098ac9124ea2f</anchor>
      <arglist>(const char *job_contact, globus_gram_protocol_job_signal_t signal, const char *signal_arg, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_signal</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga971c36294b1fc70eb124644da72029ce</anchor>
      <arglist>(const char *job_contact, globus_gram_protocol_job_signal_t signal, const char *signal_arg, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_status</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga962d23aaddd50c311c056855f802b3e8</anchor>
      <arglist>(const char *job_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_status</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gae690150b2ad9ff9ea5235dff50e382de</anchor>
      <arglist>(const char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_status_with_info</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga3a9220670909b592aea574c3c4e2ead8</anchor>
      <arglist>(const char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_info_callback_func_t info_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_status_with_info</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gade7af50c37b445cc7d0b30e78ba9c4f0</anchor>
      <arglist>(const char *job_contact, globus_gram_client_job_info_t *info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_callback_register</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga7eed82a7a7ed3b48fdd175acebcfa6a9</anchor>
      <arglist>(const char *job_contact, int job_state_mask, const char *callback_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_callback_unregister</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>gaf60bd1ea77d35c07982b88ab492a0244</anchor>
      <arglist>(const char *job_contact, const char *callback_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_refresh_credentials</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga657a99512c240a5d0c4daaa6749466a5</anchor>
      <arglist>(char *job_contact, gss_cred_id_t creds)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_refresh_credentials</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga3681ebe5e010e998eb8cd04d00e9a1b4</anchor>
      <arglist>(char *job_contact, gss_cred_id_t creds, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_callback_registration</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga1e6a7c618b2822a93612ba55f85bd787</anchor>
      <arglist>(const char *job_contact, int job_state_mask, const char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_callback_unregistration</name>
      <anchorfile>group__globus__gram__client__job__functions.html</anchorfile>
      <anchor>ga878c91da66157e255979e01728fb3adc</anchor>
      <arglist>(const char *job_contact, const char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client</name>
    <title>Other GRAM Client Functions</title>
    <filename>group__globus__gram__client.html</filename>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_client_debug</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>ga85f4bc896baaec64d00ea1b4c802c6f1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_version</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>gae476c424cb48012558f65fd8b251a881</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_set_credentials</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>ga63b3f3ea108337c80586683de7222695</anchor>
      <arglist>(gss_cred_id_t new_credentials)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_gram_client_error_string</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>gae9989a6f5bad42ad7dd5c33aea199bb5</anchor>
      <arglist>(int error_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_contact_free</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>ga37748405411fb7d14ca174a5e6316c92</anchor>
      <arglist>(char *job_contact)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_client_job_info_destroy</name>
      <anchorfile>group__globus__gram__client.html</anchorfile>
      <anchor>gacdaed37c816578a1d27edf71346d68f1</anchor>
      <arglist>(globus_gram_client_job_info_t *info)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_attr</name>
    <title>GRAM Client Attribute Functions</title>
    <filename>group__globus__gram__client__attr.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GRAM_CLIENT_NO_ATTR</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>gabd78ad96b0bf2f28d89293e143ae2c9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void *</type>
      <name>globus_gram_client_attr_t</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>gab906c3d70b18b429bac1b0ae8a7304da</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_init</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>ga36f5df0da2ae30f011315118e2be181e</anchor>
      <arglist>(globus_gram_client_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_destroy</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>gab38a626d41d870f726fd16567fde1a88</anchor>
      <arglist>(globus_gram_client_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_set_credential</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>ga2c0667fe7d50dfc2330ed4e545820508</anchor>
      <arglist>(globus_gram_client_attr_t attr, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_get_credential</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>ga50f09c9a35cdb030cce3d21e82d3b2cc</anchor>
      <arglist>(globus_gram_client_attr_t attr, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_set_delegation_mode</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>ga085f1b69523a16ec367cd6d842f7abb5</anchor>
      <arglist>(globus_gram_client_attr_t attr, globus_io_secure_delegation_mode_t mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_get_delegation_mode</name>
      <anchorfile>group__globus__gram__client__attr.html</anchorfile>
      <anchor>ga6a2f0830046774d8d80df37be4ad48a1</anchor>
      <arglist>(globus_gram_client_attr_t attr, globus_io_secure_delegation_mode_t *mode)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gram_client_job_info_s</name>
    <filename>structglobus__gram__client__job__info__s.html</filename>
    <member kind="variable">
      <type>globus_hashtable_t</type>
      <name>extensions</name>
      <anchorfile>structglobus__gram__client__job__info__s.html</anchorfile>
      <anchor>a47ce826c556a33fe98b69f7dc70ebf92</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>job_contact</name>
      <anchorfile>structglobus__gram__client__job__info__s.html</anchorfile>
      <anchor>a376beb71ba0fd7c1a2cd113204de7bb3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>job_state</name>
      <anchorfile>structglobus__gram__client__job__info__s.html</anchorfile>
      <anchor>ac2d43ce5d2a6ee34fc24fde1f47b0bfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>protocol_error_code</name>
      <anchorfile>structglobus__gram__client__job__info__s.html</anchorfile>
      <anchor>a52fc39d5063819bdc7e0b64b7cd8bf29</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Resource Management Client API</title>
    <filename>index</filename>
    <docanchor file="index">globus_gram_client_main</docanchor>
  </compound>
</tagfile>
